Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class NSDictionaryAdditions

    java.lang.Object
      wogroovy.additions.NSDictionaryAdditions

public class NSDictionaryAdditions
extends Object

Constructor Summary
`NSDictionaryAdditions()`

Method Summary
`static NSArray` | `collect(NSDictionary self, Closure closure)`
`static NSDictionary` | `dictionaryByRemovingFromDictionaryKeysInArray(NSDictionary self, NSArray array)`
`static NSDictionary` | `dictionaryWithDictionary(NSDictionary self, NSDictionary other)`
`static void` | `each(NSDictionary self, Closure closure)`
`static void` | `eachKey(NSDictionary self, Closure closure)`
`static void` | `eachValue(NSDictionary self, Closure closure)`
`static Object` | `find(NSDictionary self, Closure closure)`
`static NSArray` | `findAll(NSDictionary self, Closure closure)`
`static Object` | `getAt(NSDictionary self, Object key)`
`static Map` | `map(NSDictionary self)`
`static NSArray` | `sortOrderings(NSDictionary self)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSDictionaryAdditions

    public NSDictionaryAdditions()

Method Detail

### getAt

    public static Object getAt(NSDictionary self,
                               Object key)

### each

    public static void each(NSDictionary self,
                            Closure closure)

### eachKey

    public static void eachKey(NSDictionary self,
                               Closure closure)

### eachValue

    public static void eachValue(NSDictionary self,
                                 Closure closure)

### collect

    public static NSArray collect(NSDictionary self,
                                  Closure closure)

### find

    public static Object find(NSDictionary self,
                              Closure closure)

### findAll

    public static NSArray findAll(NSDictionary self,
                                  Closure closure)

### dictionaryByRemovingFromDictionaryKeysInArray

    public static NSDictionary dictionaryByRemovingFromDictionaryKeysInArray(NSDictionary self,
                                                                             NSArray array)

### dictionaryWithDictionary

    public static NSDictionary dictionaryWithDictionary(NSDictionary self,
                                                        NSDictionary other)

### map

    public static Map map(NSDictionary self)

### sortOrderings

    public static NSArray sortOrderings(NSDictionary self)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD